Skip to main content
POST
/
view-specific
/
{brokerageFirmId}
/
derogations
List brokerage firm derogations
curl --request POST \
  --url https://api.example.com/view-specific/{brokerageFirmId}/derogations \
  --header 'Content-Type: application/json' \
  --data '
{
  "statuses": [
    "PENDING"
  ],
  "brokerageFirmName": "<string>",
  "queryString": "<string>"
}
'
{
  "data": [
    {
      "derogation": {
        "id": "<string>",
        "status": "PENDING",
        "policyId": "<string>",
        "branchId": "<string>",
        "createdAt": "<string>"
      },
      "customer": {
        "type": "<string>",
        "id": "<string>",
        "createdAt": "<string>",
        "lastModifiedAt": "<string>",
        "status": "CUSTOMER_CREATED",
        "policies": [
          "<string>"
        ],
        "invoices": [
          "<string>"
        ],
        "paymentMode": "DIRECT_DEBIT",
        "customFields": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "name": "<string>",
        "preferredPaymentMethodId": "<string>"
      },
      "policy": {
        "claimsHistory": [
          {
            "year": 123,
            "claimsNumber": 123,
            "fleetSize": 123
          }
        ],
        "owners": [
          {
            "userId": "<string>",
            "email": "<string>",
            "roles": [
              {
                "productId": "<string>",
                "roleId": "<string>"
              }
            ]
          }
        ],
        "type": "<string>",
        "id": "<string>",
        "productId": "<string>",
        "createdAt": "<string>",
        "lastModifiedAt": "<string>",
        "status": "POLICY_CREATED",
        "assets": [
          "<string>"
        ],
        "periodDuration": {
          "amount": 123,
          "unit": "YEAR"
        },
        "invoicingConfig": {
          "frequency": "YEARLY",
          "timing": "IN_ADVANCE",
          "billAtSignature": "EARLY_PAYMENT"
        },
        "customFields": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "name": "<string>",
        "parent": "<string>",
        "brokerageFirm": "<string>",
        "incrementalId": 123,
        "externalId": "<string>",
        "branchType": "BASE",
        "signedAt": "<string>",
        "startedAt": "<string>",
        "endedAt": "<string>",
        "stoppedAt": "<string>",
        "suspendedAt": "<string>",
        "customer": "<string>",
        "acceptedEmailDomains": [
          "<string>"
        ],
        "maximumNumberOfBikes": 123,
        "brokerageFees": [
          {
            "brokerageFirmId": "<string>",
            "fee": 50
          }
        ]
      },
      "hasOpenedClientAccount": true
    }
  ],
  "pageInfo": {
    "first": true,
    "last": true
  },
  "totalCount": 123,
  "currentPage": 123,
  "totalPages": 123
}

Path Parameters

brokerageFirmId
string
required

Query Parameters

count
number
default:10

the number of items to return

page
number
default:1

the page to retrieve

Body

application/json
statuses
enum<string>[]
Available options:
PENDING,
DECLINED,
APPROVED
brokerageFirmName
string

Brokerage firm name

queryString
string

Full text search

Response

200 - application/json
data
object[]
required

the list of items in the page

pageInfo
object
required

the page info

totalCount
number
required

the total number of items

currentPage
number
required

the current page

totalPages
number
required

the total number of pages